View Issue Details

IDProjectCategoryView StatusLast Update
0001553FreeCADBugpublic2015-01-10 11:40
ReporterIan Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform32-bitOSWindows 7 
Summary0001553: printing drawing full size (1:1) prints wrong size
DescriptionWhen printing drawings 1:1 the drawings are printed incorrect size
Steps To ReproduceCreate drawing scale 1:1 print drawing measure drawing sizes do not match
Additional InformationTried borderless, no margins etc. nothing works. I have always been able to print correctly from solid works.
Tagsdrawing, printing, Qt
FreeCAD Information

Relationships

related to 0000932 closedwmayer Unexpected scaling of a printed Drawing From FreeCAD but not always from exported SVG 

Activities

shoogen

2014-05-18 16:48

developer   ~0004691

Please provide your FreeCAD version number.

Ian

2014-05-19 07:31

reporter   ~0004695

version 0.14 revision 3389

Ian

2014-05-21 08:30

reporter   ~0004716

Changing paper size also changes scale this should not happen

shoogen

2014-05-21 12:20

developer   ~0004717

Does this problem only affect the QtPrinting dialog or does the problem also occur when you save the drawing to an .svg file and print the file with a suitable application (like inkscape)?

Ian

2014-05-21 20:28

reporter   ~0004718

Installed inkscape and printed the .svg file it appears spot on as far as I can measure with my digital vernier.

normandc

2014-05-22 01:30

manager   ~0004719

This is an old problem that has never been solved in FreeCAD AFAIK...

But changing the paper size should not change the scale of the views.

wmayer

2015-01-09 23:37

administrator   ~0005604

The scaling as reported in 0000932 is fixed now.
> But changing the paper size should not change the scale of the views.
Really? Assuming you have an A3 drawing but only a printer for A4 why shouldn't it be allowed to scale down the drawing?

As long as you select the same paper size in the printer settings as you use for the drawing everything should be fine.

There is now a check that verifies orientation and page size and in case it differs a message box pops up asking the user how to continue.

Related Changesets

FreeCAD: master 396e9c93

2015-01-09 21:15:27

wmayer

Details Diff
+ fixes 0001553: printing drawing full size (1:1) prints wrong size Affected Issues
0001553
mod - src/Mod/Drawing/Gui/DrawingView.cpp Diff File
mod - src/Mod/Drawing/Gui/DrawingView.h Diff File

Issue History

Date Modified Username Field Change
2014-05-18 16:45 Ian New Issue
2014-05-18 16:48 shoogen Note Added: 0004691
2014-05-19 07:31 Ian Note Added: 0004695
2014-05-21 08:30 Ian Note Added: 0004716
2014-05-21 12:20 shoogen Note Added: 0004717
2014-05-21 12:20 shoogen Tag Attached: Qt
2014-05-21 20:28 Ian Note Added: 0004718
2014-05-21 20:36 shoogen Tag Attached: drawing
2014-05-21 20:39 shoogen Relationship added related to 0000932
2014-05-21 20:43 shoogen Tag Attached: printing
2014-05-22 01:30 normandc Note Added: 0004719
2015-01-09 23:37 wmayer Note Added: 0005604
2015-01-10 11:40 wmayer Changeset attached => FreeCAD Master master 396e9c93
2015-01-10 11:40 wmayer Assigned To => wmayer
2015-01-10 11:40 wmayer Status new => closed
2015-01-10 11:40 wmayer Resolution open => fixed